#
# Conditional build:
%bcond_without	ipmi	# OpenIPMI support

Summary:	Serial to network proxy
Summary(pl.UTF-8):	Proxy między portem szeregowym a siecią
Name:		ser2net
Version:	3.5.1
Release:	1
License:	GPL v2+
Group:		Networking/Daemons
Source0:	http://downloads.sourceforge.net/ser2net/%{name}-%{version}.tar.gz
# Source0-md5:	569267b37b8f507d8874f28f5334b5d2
Patch0:		%{name}-libwrap.patch
URL:		http://ser2net.sourceforge.net/
%{?with_ipmi:BuildRequires:	OpenIPMI-devel}
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Make serial ports available to network via TCP/IP connection.

%description -l pl.UTF-8
Program udostępniający porty szeregowe przez połączenie TCP/IP.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_ipmi:--without-openipmi} \
	--with-tcp-wrappers
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install ser2net.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/ser2net
%{_mandir}/man8/ser2net.8*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ser2net.conf
%changelog
* Mon Feb 18 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ser2net.git;a=log;h=master

* Mon Feb 18 2019 Adam Gołębiowski <adamg@pld-linux.org> 644162a
- updated to 3.5.1

* Fri Oct 12 2018 Jakub Bogusz <qboosh@pld-linux.org> ac713ea
- added ipmi bcond

* Fri Oct 12 2018 Adam Gołębiowski <adamg@pld-linux.org> 85b23aa
- updated to 3.5

* Sun Nov 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 13f29ac
- updated to 2.10.0
- updated libwrap patch

* Sat Nov 07 2009 Adam Gołębiowski <adamg@pld-linux.org> 72f0003
- updated to 2.7

* Sat Aug 01 2009 Adam Gołębiowski <adamg@pld-linux.org> ecbb7e4
- updated to 2.6

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> fcf3881
- updated to 2.5
- enabled tcp wrappers again

* Thu Sep 27 2007 Tomasz Pala <gotar@pld-linux.org> a9e9a32
- upgraded to 2.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a3aa5a6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 04fb887
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 7abb089
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Sun Apr 16 2006 darekr <darekr@pld-linux.org> 27ac0dc
- unify sf url

* Mon Feb 06 2006 Jakub Bogusz <qboosh@pld-linux.org> cace8b7
- updated to 2.3, updated libwrap patch

* Mon Feb 06 2006 Jakub Bogusz <qboosh@pld-linux.org> 5f6cf8e
- updated for 2.3

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 4e1c85c
- adapterized (sorted %verify attrs)

* Mon Feb 14 2005 darekr <darekr@pld-linux.org> e558701
- updated to 2.2

* Sat Dec 06 2003 Jakub Bogusz <qboosh@pld-linux.org> 79f6426
- updated to 2.1

* Thu Oct 23 2003 Jakub Bogusz <qboosh@pld-linux.org> e3be49c
- cleanups

* Thu Oct 23 2003 Jakub Bogusz <qboosh@pld-linux.org> 367d894
- updated to 2.0 (now supports RFC 2217)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 67e78a7
- massive attack: source-md5

